> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revyops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Email

> Retrieves details of a specific email by its unique identifier.



## OpenAPI

````yaml GET /public/emails/{email_id}
openapi: 3.0.3
info:
  title: RevyOps API
  version: 1.0.0
servers: []
security: []
paths:
  /public/emails/{email_id}:
    get:
      tags:
        - public
      description: Retrieves details of a specific email by its unique identifier.
      operationId: Get email
      parameters:
        - in: path
          name: email_id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EmailModel'
          description: OK. The email was successfully retrieved.
        '401':
          description: Unauthorized. API KEY not authorized to access this client_id.
        '403':
          description: Forbidden. Missing authentication credentials or invalid API key.
        '404':
          description: Not Found. Email with this ID does not exist.
        '500':
          description: Internal Server Error. An unexpected error occurred on the server.
components:
  schemas:
    EmailModel:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        updated_time:
          type: string
          format: date-time
          readOnly: true
        email_timestamp:
          type: string
          format: date-time
        contact_email:
          type: string
          format: email
        contact_id:
          type: integer
        agent_email:
          type: string
          format: email
        email_type:
          type: string
        subject:
          type: string
        body_text:
          type: string
        body_html:
          type: string
        campaign_id:
          type: string
        campaign_name:
          type: string
        interested:
          type: boolean
        origin:
          type: string
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/EmailCustomFields'
      required:
        - email_type
        - id
        - origin
        - updated_time
    EmailCustomFields:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        updated_time:
          type: string
          format: date-time
          readOnly: true
        field_name:
          type: string
        field_value:
          type: string
          maxLength: 2500
      required:
        - field_name
        - field_value
        - id
        - updated_time

````